summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Gethyn ThomasQuail2015-08-03 14:05:48 +0200
committer Willy Sudiarto Raharjo2015-08-03 14:05:48 +0200
commit4e196714e27a093882b2d9115ca80386bc441e25 (patch)
tree411c37acbb263a84954fc62135738c50bc1b4703
parenta3b5cb5022dd69c6be0bb012640729b7011383d4 (diff)
downloadslackbuilds-4e196714e27a093882b2d9115ca80386bc441e25.tar.gz
system/wmgtemp: Added (Graphical GPU and SYS Temp Monitor DockApp).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/wmgtemp/README7
-rw-r--r--system/wmgtemp/slack-desc19
-rw-r--r--system/wmgtemp/wmgtemp.SlackBuild97
-rw-r--r--system/wmgtemp/wmgtemp.info10
4 files changed, 133 insertions, 0 deletions
diff --git a/system/wmgtemp/README b/system/wmgtemp/README
new file mode 100644
index 0000000000..df5c0764f7
--- /dev/null
+++ b/system/wmgtemp/README
@@ -0,0 +1,7 @@
+wmgtemp is a dock app for WindowMaker that graphically displays the CPU and SYS temperatures
+using the lm_sensors package.
+
+Note: This DockApp needs a lm_sensors config file (defaults to /etc/sensors.conf). I had
+one called "sensors3.conf" in my etc folder. So I started wmgtemp like this:
+"wmgtemp -S /etc/sensors3.conf" and it worked fine for me. If it doesn't for you, try
+writing your own configuration file.
diff --git a/system/wmgtemp/slack-desc b/system/wmgtemp/slack-desc
new file mode 100644
index 0000000000..b243fb3e0a
--- /dev/null
+++ b/system/wmgtemp/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler--------------------------------------------------------|
+wmgtemp: wmgtemp (Graphical GPU and SYS Temp Monitor DockApp)
+wmgtemp:
+wmgtemp: wmgtemp is a dock app for WindowMaker that graphically displays the CPU
+wmgtemp: and SYS temperatures using the lm_sensors package.
+wmgtemp:
+wmgtemp: Homepage: http://fluxcode.net/projects/wmgtemp
+wmgtemp:
+wmgtemp:
+wmgtemp:
+wmgtemp:
+wmgtemp:
diff --git a/system/wmgtemp/wmgtemp.SlackBuild b/system/wmgtemp/wmgtemp.SlackBuild
new file mode 100644
index 0000000000..c3598d3dd0
--- /dev/null
+++ b/system/wmgtemp/wmgtemp.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+
+# Slackware build script for wmgtemp
+#
+# Copyright 2015 Gethyn ThomasQuail <gethyn@bloodbathsoftworks.com>
+# All rights reserved.
+#
+# Based on:
+# SBo's cmake-template
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=wmgtemp
+VERSION=${VERSION:-1.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Let's compile!
+make
+
+# Create bin directory and move executable there
+mkdir -p $PKG/usr/bin
+mv src/wmgtemp $PKG/usr/bin
+
+# Creates man page directory
+mkdir -p $PKG/usr/man/man1
+
+# Compresses man page and moves it into place
+gzip -9 wmgtemp.1
+mv wmgtemp.1.gz $PKG/usr/man/man1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Artistic ChangeLog CREDITS INSTALL README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/wmgtemp/wmgtemp.info b/system/wmgtemp/wmgtemp.info
new file mode 100644
index 0000000000..2ebc545318
--- /dev/null
+++ b/system/wmgtemp/wmgtemp.info
@@ -0,0 +1,10 @@
+PRGNAM="wmgtemp"
+VERSION="1.1"
+HOMEPAGE="http://fluxcode.net/projects/wmgtemp"
+DOWNLOAD="http://fluxcode.net/files/wmgtemp-1.1.tar.gz"
+MD5SUM="cce700b3a4ef74b2ec019d8e89bdf2f6"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Gethyn ThomasQuail"
+EMAIL="gethyn@bloodbathsoftworks.com"